<?php
/*

By default, Simfatic Forms emails each recipient separately. This may not be desirable in some cases where you want to see all recipients in the email address bar. This can be useful when you want to do "reply all"

This extension module combines all recipients together and sends a single email 

### Steps
1. Add all emails below
2. add a dummy@website.com email in your 'form to email' page -> recipients list
3. Add the extension module to your form. Test. Enable logging and see the log for any troubleshooting.

*/
class MailsTogether extends FM_ExtensionModule
{   
    private $emails;

    public function __construct()
    {
        //Add emails here
        $this->emails = array(
        "email1@gmail.com",
        "email_another@website.com",
        "Larry<larry@gmail.com>"
        );
    }
    
    function BeforeSendingFormSubmissionEMail(&$receipient,&$subject,&$body)
    {
        
        if(false !== strpos($receipient,'dummy'))
        {
            $receipient = $this->emails;
        }
        $this->logger->LogInfo(" BeforeSendingFormSubmissionEMail $receipient ");
        return true;
    }
    
}
